Open the Stripe billing portal (internal) Deprecated

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /payments/billing-session

Creates a Stripe billing portal session for the organization's legacy subscription, to update the payment method (the default type) or update or cancel the subscription, and returns its url; Stripe sends the user back to returnUrl. Requires an org admin, owner or billing role; any failure, including having no subscription, returns 400.

Headers

  • organization string Required

    id of the selected (active) organization

application/json

Body Required

Create billing portal session

  • type string

    Values are payment_method_update, subscription_cancel, or subscription_update. Default value is payment_method_update.

  • returnUrl string Required

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • url string Required
      • createdAt string(date-time) Required
      • customer string Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /payments/billing-session
curl \
 --request POST 'http://api.example.com/payments/billing-session' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "organization: string" \
 --data '{
  "type": "payment_method_update",
  "returnUrl": "string"
}'
Request examples
# Headers
organization: string

# Payload
{
  "type": "payment_method_update",
  "returnUrl": "string"
}
Response examples (201)
{
  "data": {
    "url": "https://billing.stripe.com/p/session/test_Example",
    "createdAt": "2026-01-15T10:15:00.000Z",
    "customer": "cus_Example"
  },
  "statusCode": 201,
  "timestamp": "2026-01-15T10:15:00.000Z"
}